.TH LETTERS 6 "1 Oct 1991"

.SH NAME
letters \- a game to improve typing skills

.SH SYNOPSIS
\fBletters\fP [-qbh] [-l <level>] [-f <dictionary>]

.SH DESCRIPTION

Letters is based on Letter Invaders which was around in the PC
environment several years ago.  It in turn was based on the popular
arcade style game, Space Invaders.  For those not familiar with
Space Invaders (please let me know if you're one of these people
and let me know what planet you've been living on) the idea is to blast
aliens out of the sky as they attempt to land on and "kill" you.  Since
this is a game to improve typing skills, the aliens are words selected
randomly from the dictionary.  You blast the aliens out of the sky by
typing them correctly.

.PP
Playing the game is very straight forward.  Type words as they appear on
the screen.  They will slowly drop until you have either typed them
correctly or they reach the status line on the bottom of the screen.  If
a word makes it to the bottom of the screen you lose one "life".  This is
actually a non-violent game.  The words "kill" and "life" are only used
in this context for historical reasons.

.PP
If at any point you type a letter incorrectly the entire word is reset.
The backspace key will not save you if you're a sloppy typist.  The word
lowest on the screen is normally the word you want to type first.  If you
decide that you'd prefer to let one word go for some reason, (like it's
obnoxiously long), the program will attempt to determine the word you are
trying to type by matching what you've typed with the first letter(s) of
all other words on the screen.  It will however always start with the
lowest word, so if two words start with the same letter it will always
assume you want to type the one that appeared first.

.SH "Special Keys"
Pressing ctrl-L at any point in the game redraws the screen.
.br
Pressing Del at any point in the game aborts the game properly

.SH OPTIONS
.IP -q
quiet mode - turn off the obnoxious beep (default). It will only beep
when you type a wrong letter.
.IP -b
beep mode - turn on the obnoxious beep. It will give a jubilating beep
whenever you finish a word properly.
.IP -h
Show high scores. The games is not started.
.IP -l <number>
Start at level <number>. The level will be increased again when 
sufficient words have been typed to match this level.
.IP -f <filename>
Use file <filename> instead of the default dictionary. This is 
interesting in case you want to test your typing skill in foreign
languages, e.g., Dutch, or on jargon words.

.SH SCORING
A word's point value is equal to the number of letters in the word.  You
only get points for a word that you have completed typing.

.SH FILES
/usr/dict/words Dictionary file
.br
/usr/games/letters.scr Score file

.SH BUGS
None known, but I won't be surprised if there are any.

.SH AUTHOR
Larry Moss <lm03_cif@uhura.cc.rochester.edu> (Original idea)
.br
Wim `Blue Baron' van Dorst <baron@wiesje.hobby.nl> (Minix)
.PP
The Minix version has been adapted extensively, so that it
internally and externally does barely resemble the original version.
This is done in agreement with the original author.
